# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define svn r81625
%define rel 9
%if %svn
#define release %-c %%svn %%rel
%define release 1.%svn.%rel
%else
%define release %rel
%endif

%define major 0
%define libname libeweather%{major}
%define libnamedev libeweather-devel

Summary:	Enlightenment weather/forecasts module
Name:		eweather
Version:	0.2.0
Release:	alt1_9
License:	LGPLv2+
Group:		Graphical desktop/Enlightenment
URL:		http://www.enlightenment.org/
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/trunk/%%name %%name
# tar cJf %%name-%%svn.tar.xz %%name
%if %svn
Source:		%name-%svn.tar.xz
%else
Source:		%name-%version.tar.bz2
%endif
Patch0:		eweather-automake-1.13.patch

BuildRequires:	efl-libs-devel libelementary-devel
BuildRequires:	efl-libs efl-libs-devel libelementary libelementary-devel
BuildRequires:	gettext-tools libasprintf-devel
Source44: import.info

%description
Enlightenment weather/forecasts module.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries
Requires: %name = %{version}-%{release}

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %name-version
%endif
%patch0 -p1 -b .automake113

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure --disable-static
%make

%install
%makeinstall_std

rm -rf %buildroot/%{_datadir}/simple
rm -rf %buildroot/%{_datadir}/default

find %buildroot -name *.la | xargs rm


%files
%{_bindir}/eweather_test
%{_libdir}/eweather
%{_datadir}/eweather

%files -n %libname
%{_libdir}/*.so.0
%{_libdir}/*.so.0.*

%files -n %libnamedev
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog
* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_9
- new version

